curl --request PUT \
--url https://api.example.com/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-environment: <x-environment>' \
--data '
{
"start": "2023-12-25",
"end": "2023-12-25",
"autoRenewal": true,
"description": "<string>",
"items": [
{
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"billAt": "2023-11-07T05:31:56Z",
"periodFrom": "2023-12-25",
"prorate": {
"fromDate": "2023-12-25"
}
}
]
}
'import requests
url = "https://api.example.com/subscriptions/{subscriptionId}"
payload = {
"start": "2023-12-25",
"end": "2023-12-25",
"autoRenewal": True,
"description": "<string>",
"items": [
{
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"billAt": "2023-11-07T05:31:56Z",
"periodFrom": "2023-12-25",
"prorate": { "fromDate": "2023-12-25" }
}
]
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
start: '2023-12-25',
end: '2023-12-25',
autoRenewal: true,
description: '<string>',
items: [
{
productId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
priceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
quantity: 123,
billAt: '2023-11-07T05:31:56Z',
periodFrom: '2023-12-25',
prorate: {fromDate: '2023-12-25'}
}
]
})
};
fetch('https://api.example.com/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"currency": "USD",
"term": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"autoRenewal": true,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billAt": "2023-11-07T05:31:56Z",
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"quantity": 123,
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"price": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"createdAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Update subscription
Updates a given subscription and items. Update cannot be partial, a full request mus be sent.
Headers
Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.
Path Parameters
Id of the given subscription.
Body
Update request of subscription.
Sets a start date for the subscription.
Sets an end date for the subscription. Must be later than the Start.
If set, the subscription will be automatically renewed. An End must be set to allow automatically renewal.
Sets a description for the subscription. 4000 characters maximum.
Items to update. If not set, the subscription will be updated without changing the items.
Pass an empty array to remove all charges.
Show child attributes
Show child attributes
Response
OK
Id of subscription.
A unique handle of the subscription.
Currency of the subscription.
"USD"
Show child attributes
Show child attributes
For termed subscription, auto renewal is optional and will automatically renew the subscription.
Items of the subscription.
Show child attributes
Show child attributes
Was this page helpful?

